#!/bin/bash

REM_FILE='update.tar.gz.gpg'
SCRIPT_FILE='install.sh'
TMP_FOLDER=`mktemp /data/AutoUpdateXXX -d`
SQL_EXE=/RouletteMaster/sqlexec.sh

if [ -f /RouletteMaster/ROULETTE_NAME ]; then
    ROULETTE_NAME=`cat /RouletteMaster/ROULETTE_NAME`
else
    ROULETTE_NAME=`echo "select RES_STR_VALUE from GET_PARAM('192.168.0.254', 'ROULETTE_NAME', 11)" | $SQL_EXE|head -6|tail -1|sed -e 's/  *$//'`
    echo $ROULETTE_NAME > /RouletteMaster/ROULETTE_NAME
fi
            

#pocakamo nakjlucen cas, zaradi obremenitve ftp streznika
sleep $(($RANDOM % 60)) 

cd $TMP_FOLDER

ftp -n rouletteupdate.serveftp.com <<End-of-session
user charrcom 4knh2wbf
binary
cd ROULETTES
mkdir "$ROULETTE_NAME"
cd "$ROULETTE_NAME"
mkdir AUTOUPDATE
cd AUTOUPDATE
get $REM_FILE
del $REM_FILE
bye
End-of-session

if [ ! -e $REM_FILE ] 
then
    echo "No updates available."
    cd /
    rm $TMP_FOLDER -rf
    exit
else
    echo "Installing updates."
fi

gpg --secret-keyring /root/.gnupg/secring.gpg --keyring /root/.gnupg/pubring.gpg --yes --batch --verify $REM_FILE
RESULT=$?
if [ $RESULT -ne 0 ]; then
    echo "ERROR: Update signature is bad!!!"
    echo "Exiting..."
    cd /
    rm $TMP_FOLDER -rf    
    exit
fi;

gpg --secret-keyring /root/.gnupg/secring.gpg --keyring /root/.gnupg/pubring.gpg --yes --batch -o update.tar.gz -d $REM_FILE;

tar -xzf update.tar.gz;

#ali moramo v mapo
if [ ! -e ./$SCRIPT_FILE ]; then
    cd *;
fi;

chmod 777 $SCRIPT_FILE
if [ -x $SCRIPT_FILE ]; then
    /bin/bash ./$SCRIPT_FILE
fi;

cd /
rm $TMP_FOLDER -rf

echo "Success!"
exit 0
