#!/bin/bash

TMP_FOLDER="/data/backup/"
TMP_FILE="backup.tar.gz"
SQL_EXE=/RouletteMaster/sqlexec.sh

if [ -f /RouletteMaster/ROULETTE_NAME ]; then
    ROULETTE_NAME=`cat /RouletteMaster/ROULETTE_NAME`
else
    ROULETTE_NAME=`echo "select RES_STR_VALUE from GET_PARAM('192.168.0.254', 'ROULETTE_NAME', 11)" | $SQL_EXE|head -6|tail -1|sed -e 's/  *$//'`
    echo $ROULETTE_NAME > /RouletteMaster/ROULETTE_NAME
fi

INDEX_MODULUS=10

index=`cat $TMP_FOLDER/onlinebackup.index_`
RESULT=$?
if [ $RESULT -gt 0 ]; then
    index=0
fi;

mkdir -p $TMP_FOLDER
cd $TMP_FOLDER

DBBKP_INDEX=`cat $TMP_FOLDER/ROULETTE_DATA.index_`;
RESULT=$?
if [ $RESULT -gt 0 ]; then
   DBBKP_INDEX=1;
fi;
if  [ $DBBKP_INDEX -eq 0 ]; then
    DBBKP_INDEX=10; #bo šel v 9, ker je zdaj v 0
fi;
let DBBKP_INDEX--
DB_BKP_FILE="/data/backup/ROULETTE_DATA"$DBBKP_INDEX".BKP"

rm $index$TMP_FILE -rf
tar -czf $index$TMP_FILE /tftpboot/pxelinux.cfg /etc/dhcpd.conf /etc/sysconfig $DB_BKP_FILE /data/backup/txt_backup /RouletteMaster/smsd.conf /RouletteMaster/licensed.to /RouletteMaster/CallHome2.sh /RouletteMaster/scripts /RouletteMaster/RouletteTunnel/allowed.clients.id

ftp -n ftpbackup.4knh.com <<End-of-session
user charrcom 4knh2wbf
binary
cd ROULETTES
mkdir "$ROULETTE_NAME"
cd "$ROULETTE_NAME"
mkdir BACKUP
cd BACKUP
put $index$TMP_FILE
bye
End-of-session


let ++index
if [ $index -ge $INDEX_MODULUS ]; then
    index=0
fi;
echo $index > $TMP_FOLDER/onlinebackup.index_

exit 0;
