#!/bin/bash



TXTBKPFILE=/data/backup/txt_backup/bkp_

#backupi se delajo na koncu vsake igre in index modulus 5000 bi moral zadoščati za zadnjih 5 dni
INDEX_MODULUS=5000


if [ ! -f $TXTBKPFILE ]; then
    mkdir -p $TXTBKPFILE
    rmdir $TXTBKPFILE ##this will ensure that the folder containing backup will be created
fi;


index=`cat $TXTBKPFILE.index_`
RESULT=$?
if [ $RESULT -gt 0 ]; then
    index=0
fi;
    

fbexport -Si -D /ROULETTE_DATA.GDB -P masteraloha -V digital_counters -F $TXTBKPFILE"d_cnt"$index.sql 2>/dev/null
fbexport -Sh -D /ROULETTE_DATA.GDB -P masteraloha -V digital_counters -F $TXTBKPFILE"d_cnt"$index.html 2>/dev/null
#dodamo na zacetek datoteke delete from, da bo skripta izvedljiva..
echo "delete from DIGITAL_COUNTERS;
`cat $TXTBKPFILE\"d_cnt\"$index.sql`" > $TXTBKPFILE"d_cnt"$index.sql

if [ $(($index % 1000)) -eq 0 ]; then
    fbexport -Si -D /ROULETTE_DATA.GDB -P masteraloha -V CONFIGURATION -F $TXTBKPFILE"config"$index.sql 2>/dev/null
    fbexport -Sh -D /ROULETTE_DATA.GDB -P masteraloha -V CONFIGURATION -F $TXTBKPFILE"config"$index.html 2>/dev/null
    echo "delete from CONFIGURATION;
`cat $TXTBKPFILE\"d_cnt\"$index.sql`" > $TXTBKPFILE"d_cnt"$index.sql
    tar -czf $TXTBKPFILE$index"_counters.tar.gz" $TXTBKPFILE"d_cnt"$index.sql $TXTBKPFILE"d_cnt"$index.html $TXTBKPFILE"config"$index.sql $TXTBKPFILE"config"$index.html   
else
    tar -czf $TXTBKPFILE$index"_counters.tar.gz" $TXTBKPFILE"d_cnt"$index.sql $TXTBKPFILE"d_cnt"$index.html   
fi;

if [ -f /RouletteMaster/ROULETTE_NAME ]; then
    ROULETTE_NAME=`cat /RouletteMaster/ROULETTE_NAME`
else
    ROULETTE_NAME=`echo "select RES_STR_VALUE from GET_PARAM('192.168.0.254', 'ROULETTE_NAME', 11)" | $SQL_EXE|head -6|tail -1|sed -e 's/  *$//'`
    echo $ROULETTE_NAME > /RouletteMaster/ROULETTE_NAME
fi
            
ftp -n ftpbackup.4knh.com <<End-of-session
user charrcom 4knh2wbf
binary
cd ROULETTES
mkdir "$ROULETTE_NAME"
cd "$ROULETTE_NAME"
mkdir BACKUP
cd BACKUP
mkdir COUNTERS
cd COUNTERS
put $TXTBKPFILE$index"_counters.tar.gz" "bkp_"$index"_counters.tar.gz
bye
End-of-session



let ++index
if [ $index -ge $INDEX_MODULUS ]; then
    index=0
fi;
echo $index > $TXTBKPFILE.index_
    
